SortAttribute (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.pager.SortAttribute class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.pager
Class SortAttribute

    java.lang.Object
      org.hyperic.util.pager.SortAttribute

All Implemented Interfaces:
  java.io.Serializable

    public class SortAttribute

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `CONTROL_ACTION`
`static int` | `CONTROL_DATESCHEDULED`
`static int` | `CONTROL_DESCRIPTION`
`static int` | `CONTROL_ELAPSED`
`static int` | `CONTROL_ENTITYNAME`
`static int` | `CONTROL_NEXTFIRE`
`static int` | `CONTROL_STARTED`
`static int` | `CONTROL_STATUS`
`static int` | `CTIME`
`static int` | `DEFAULT`
`static int` | `EVENT_LOG_CTIME`
`static int` | `FIRST_NAME`
`static int` | `LAST_NAME`
`static int` | `NAME`
`static int` | `OPERATION_NAME`
`static int` | `OWNER_NAME`
`static int` | `RESGROUP_NAME`
`static int` | `RESOURCE_NAME`
`static int` | `RESTYPE_NAME`
`static int` | `ROLE_MEMBER_CNT`
`static int` | `ROLE_NAME`
`static int` | `RT_AVG`
`static int` | `RT_LOW`
`static int` | `RT_NAME`
`static int` | `RT_PEAK`
`static int` | `SERVICE_NAME`
`static int` | `SERVICE_TYPE`
`static int` | `SUBJECT_NAME`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### CTIME

    public static final int CTIME

See Also:
  Constant Field Values

### ROLE_NAME

    public static final int ROLE_NAME

See Also:
  Constant Field Values

### RESGROUP_NAME

    public static final int RESGROUP_NAME

See Also:
  Constant Field Values

### RESTYPE_NAME

    public static final int RESTYPE_NAME

See Also:
  Constant Field Values

### RESOURCE_NAME

    public static final int RESOURCE_NAME

See Also:
  Constant Field Values

### OPERATION_NAME

    public static final int OPERATION_NAME

See Also:
  Constant Field Values

### ROLE_MEMBER_CNT

    public static final int ROLE_MEMBER_CNT

See Also:
  Constant Field Values

### SUBJECT_NAME

    public static final int SUBJECT_NAME

See Also:
  Constant Field Values

### FIRST_NAME

    public static final int FIRST_NAME

See Also:
  Constant Field Values

### LAST_NAME

    public static final int LAST_NAME

See Also:
  Constant Field Values

### EVENT_LOG_CTIME

    public static final int EVENT_LOG_CTIME

See Also:
  Constant Field Values

### CONTROL_ACTION

    public static final int CONTROL_ACTION

See Also:
  Constant Field Values

### CONTROL_STATUS

    public static final int CONTROL_STATUS

See Also:
  Constant Field Values

### CONTROL_STARTED

    public static final int CONTROL_STARTED

See Also:
  Constant Field Values

### CONTROL_ELAPSED

    public static final int CONTROL_ELAPSED

See Also:
  Constant Field Values

### CONTROL_DATESCHEDULED

    public static final int CONTROL_DATESCHEDULED

See Also:
  Constant Field Values

### CONTROL_DESCRIPTION

    public static final int CONTROL_DESCRIPTION

See Also:
  Constant Field Values

### CONTROL_NEXTFIRE

    public static final int CONTROL_NEXTFIRE

See Also:
  Constant Field Values

### CONTROL_ENTITYNAME

    public static final int CONTROL_ENTITYNAME

See Also:
  Constant Field Values

### OWNER_NAME

    public static final int OWNER_NAME

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final int SERVICE_NAME

See Also:
  Constant Field Values

### SERVICE_TYPE

    public static final int SERVICE_TYPE

See Also:
  Constant Field Values

### RT_NAME

    public static final int RT_NAME

See Also:
  Constant Field Values

### RT_LOW

    public static final int RT_LOW

See Also:
  Constant Field Values

### RT_AVG

    public static final int RT_AVG

See Also:
  Constant Field Values

### RT_PEAK

    public static final int RT_PEAK

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.